### Method

# WebKit2WebExtension DOMElement insert_adjacent_element

#### Declaration [src]

    WebKitDOMElement*
    webkit_dom_element_insert_adjacent_element (
      WebKitDOMElement* self,
      const gchar* where,
      WebKitDOMElement* element,
      GError** error
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`where` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`element` | `WebKitDOMElement`
| A `WebKitDOMElement`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMElement`
| A `WebKitDOMElement`.
| The data is owned by the instance.